describe('WorkerList', () => {
    const workerFieldNames =
        '.card-list-body > .list-items > :nth-child(1) > .value > span';
    beforeEach(() => {
        cy.viewport(1280, 720);
        cy.login('developer');
        cy.visit('/#/worker/list');
    });

    it('should load workers', () => {
        cy.get(workerFieldNames).eq(0).should('have.text', 'JessicaJones');
        cy.get(workerFieldNames).eq(1).should('have.text', 'BruceBanner');
        cy.get(workerFieldNames).eq(2).should('have.text', 'CharlesXavier');
    });

    it('should open the worker summary', () => {
        cy.openListSummary(0);
        cy.get('.summaryHeader div').should('have.text', '1110 - Jessica Jones');
        cy.get('.summary .header-link').eq(0).invoke('text').should('include', 'Basic data');
        cy.get('.summary .header-link').eq(1).should('have.text', 'User data');
    });
});
